Bug 48948 - FILEOPEN: PPTX - SmartArt from MSO 2007 and 2013 not rendered
Summary: FILEOPEN: PPTX - SmartArt from MSO 2007 and 2013 not rendered
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.5.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA target:6.3.0
Keywords:
Depends on:
Blocks: OOXML-SmartArt OOXML-2007 OOXML-Transitional-2010vs2013
  Show dependency treegraph
 
Reported: 2012-04-19 20:24 UTC by pilo
Modified: 2019-05-24 13:48 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
sample.pptx (170.24 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2012-04-19 22:40 UTC, pilo
Details
sample.pptx saved in powerpoint 2013 (165.51 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2017-10-26 10:41 UTC, Yousuf Philips (jay) (retired)
Details
resaved with PowerPoint 2010 (177.09 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2017-10-26 11:29 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pilo 2012-04-19 20:24:07 UTC
Problem description: 

Steps to reproduce:
1. windows制作的ppt中如果使用smartart图形,用impress是无法正常呈现的
2. libreoffice很好用,我一直很喜欢他,用了好长时间,但周围有很多用windows的
   当他们制作的文档中使用smartart时我就无法看到文档的真正内容
3. 希望你们能完善smartart功能,能兼容windows的

Current behavior:

Expected behavior:

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (Windows NT 5.2) AppleWebKit/535.7 (KHTML, like Gecko) Chrome/16.0.912.63 Safari/535.7
Comment 1 Yifan Jiang 2012-04-19 20:31:23 UTC
Translation:

The impress could not handle smartart shapes in ppt created from MSOffice.

Libreoffice is easy to use, I have used it for a long time and really love it. But I couldn't see the actually content, containing smartart, when many Windows MSO users sending their documents to me.
Comment 2 Yifan Jiang 2012-04-19 20:40:17 UTC
Created attachment 60366 [details]
sample.pptx

Hi Pilo,

Would you please attach a sample document to demonstrate the problem more specifically? Thank you. (@pilo, 如果可能的话,请添加附件,这样更方便开发和测试看到问题所在,谢谢!)。
Comment 3 pilo 2012-04-19 22:40:42 UTC
hi:
	很高兴收到你们的回复,尤其是在这么短的时间内, 你们的认真负责态度太棒了
	样本文档我已经放在附件里了,请注意查收
	如果能解决这个问题就好了,因为我从3.3开始就用 libreoffice的,之后不久就发现这个问题的 存在,直到昨天我安装了3.5后
发现这个问题依旧存在,我就决定报告这个问题
	真心希望能解决这个问题
	谢谢
Pilo
Comment 4 s-joyemusequna 2012-05-08 07:33:14 UTC
Confirmed with LibO 3.4.5, 3.5.3, and version 3.6.0alpha0+ (Build ID: 34513fe) under Windows XP and Vista 64. Smartart is missing.
Comment 5 Lekow 2012-08-26 18:08:04 UTC
SmartArt is also missing in LO 3.6.0.4. (Build ID: 932b512) on Windows 7 SP1 32bit. 
But some PPTX documents with smartart are opened correctly.
Comment 6 QA Administrators 2015-01-05 17:51:14 UTC Comment hidden (obsolete)
Comment 7 Buovjaga 2015-01-21 15:05:58 UTC
Confirmed with Powerpoint viewer that smartart on pages 3-5 in attachment 60366 [details] is missing in Impress.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 07e84cae983c08afdba03018413a19d01abb3006
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-19_06:15:38
Comment 8 Xisco Faulí 2015-09-04 10:34:31 UTC
This issue is still present in

Version: 5.0.1.2
Build ID: 81898c9f5c0d43f3473ba111d7b351050be20261
Locale: es-ES (es_ES)

on Windows 7 (64-bit)
Comment 9 QA Administrators 2016-09-20 10:28:58 UTC Comment hidden (obsolete)
Comment 10 Regina Henschel 2017-10-25 21:34:09 UTC
When I open the attached file, I get a warning
"Could not load all SmartArts. Saving in Microsoft Office 2010 or later would avoid this issue."
And indeed, if I load and resave the document with PowerPoint 2010, then I get no warning and all SmartArts are shown.

I have used Version: 6.0.0.0.alpha1+
Build ID: dc2d133e7953f08f73ef9cd0b40786764b0e2035
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-10-22_01:16:45
Locale: de-DE (de_DE); Calc: group

I think, that this bug should be closed as WorksForMe or WontFix. I see no benefit to spent developer time in improving import for older file formats.
Comment 11 Buovjaga 2017-10-26 09:07:48 UTC
(In reply to Regina Henschel from comment #10)
> I think, that this bug should be closed as WorksForMe or WontFix. I see no
> benefit to spent developer time in improving import for older file formats.

I discussed with some devs and QA and I don't think we want to wontfix issues that are about importing to LibreOffice from MSO 2007. Now, if this was about importing to MSO 2003 or 2007, I would happily close..
Comment 12 Yousuf Philips (jay) (retired) 2017-10-26 10:19:55 UTC
I resaved attachment 60366 [details] in Powerpoint 2013 and opened it in master and still got the "Could not load all SmartArts. Saving in Microsoft Office 2010 or later would avoid this issue."

Version: 6.0.0.0.alpha1+
Build ID: 0c46b3a9a384d5b70a708c3e9459a790dd815c63
CPU threads: 4; OS: Windows 6.3; UI render: default; 
Locale: en-US (en_US); Calc: group
Comment 13 Regina Henschel 2017-10-26 10:37:38 UTC
(In reply to Yousuf Philips (jay) from comment #12)
> I resaved attachment 60366 [details] in Powerpoint 2013

Do you have set your Powerpoint 2013 to save in newest version and not use compatability mode?
Comment 14 Yousuf Philips (jay) (retired) 2017-10-26 10:41:41 UTC
Created attachment 137299 [details]
sample.pptx saved in powerpoint 2013
Comment 15 Regina Henschel 2017-10-26 11:29:45 UTC
Created attachment 137300 [details]
resaved with PowerPoint 2010

Here resaved with PowerPoint 2010. No warning and all SmartArts there.
Comment 16 Yousuf Philips (jay) (retired) 2017-10-26 11:55:43 UTC
So i took attachment 60366 [details] and saved it with powerpoint 2007 SP2 and LO opened it fine. The main difference i can see between the two files is that the SP2 saved version has ./ppt/diagrams/drawing*.xml files in it.

(In reply to Regina Henschel from comment #13)
> Do you have set your Powerpoint 2013 to save in newest version and not use
> compatability mode?

Powerpoint didnt have an option for setting compatibility in the save as dialog, which it does in word.

So i compared 2010 and 2013 saved files and they were virtually identical. Then i separated each slide from attachment 137299 [details] and saved them with powerpoint 2013 and LO loaded these separated files fine, so something is wrong in the LO code i presume and isnt a file format issue.
Comment 17 QA Administrators 2018-10-27 02:54:42 UTC Comment hidden (obsolete)
Comment 18 Luke 2019-02-28 22:41:03 UTC
Still reproducible in Version: 6.3.0.0.alpha0+ (x64)
Build ID: 205e2d6c31b1861111b70a704516580761a75099
Comment 19 Commit Notification 2019-05-24 13:48:50 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/3dfcc485b19f918f434f34ee0157f5dca96bad43%5E%21

crashtesting: div-by-zero on load of tdf48948-2.pptx

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.